#!/usr/bin/python

import sys
import cgi
import MySQLdb

from datetime import datetime
from resource import getrusage, RUSAGE_SELF

def xml1(data_all,descriptions):
	xml = ''
	for data in data_all:
		xml += '<row id="%s">\n' % data[0]
		xml += '<fdate>%s</fdate>\n' % taint(data[1])
		xml += '<fcontent1>%s</fcontent1>\n' % taint(data[2])
		xml += '<fcontent2>%s</fcontent3>\n' % taint(data[3])
		xml += '<fcontent3>%s</fcontent4>\n' % taint(data[4])
		xml += '<fcontent4>%s</fcontent5>\n' % taint(data[5])
		xml += '<fcontent5>%s</fcontent6>\n' % taint(data[6])
		xml += '</row>\n'
	return xml

def xml2(data_all,descriptions):
	xml = ''
	for data in data_all:
		xml += '<row id="%s">\n' % (data[0])
		for i, t in enumerate(descriptions):
			key = t[0]
			if key != 'id' : xml += '<%s>%s</%s>\n' % (key, taint(data[i]), key)
		xml += '</row>\n'
	return xml

def xml3(data_all,descriptions):
	xml = ''
	for data in data_all:
		xml += xml3data(data,descriptions)
	return xml

def xml3data(data,descriptions):
	xml = '<row id="%s">\n' % (data[0])
	for i, t in enumerate(descriptions):
		xml += xml3field(t[0],data[i])
	xml += '</row>\n'
	return xml

def xml3field(key,data):
	if key != 'id' : return '<%s>%s</%s>\n' % (key, taint(data), key)
	return ''

def rusage(title):
	rusage = getrusage(RUSAGE_SELF);
	return '%s %s Python %s' % (title, rusage.ru_utime, sys.version)

def taint(s):
	return cgi.escape(str(s))

connection = MySQLdb.connect(user='user', host='host', db='db', passwd='password')
cursor = connection.cursor()
query = 'select * from test'
cursor.execute(query)
data_all = cursor.fetchall()

descriptions = cursor.description

xml = xml1(data_all,descriptions)
cursor.close()

print rusage("cpu")
